com.opensymphony.xwork2.validator

## Interface ValidatorContext

- All Superinterfaces:
    LocaleProvider, TextProvider, ValidationAware
  All Known Implementing Classes:
    DelegatingValidatorContext, VisitorFieldValidator.AppendingValidatorContext

      public interface ValidatorContext
      extends ValidationAware, TextProvider, LocaleProvider

  The context for validation. This interface extends others to provide methods for reporting errors and messages as well as looking up error messages in a resource bundle using a specific locale.
  Author:
    Jason Carreira

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `ValidationAware.LegacyAdapter`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFullFieldName(String fieldName)` Translates a simple field name into a full field name in OGNL syntax.

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.ValidationAware

      `addActionError, addActionMessage, addFieldError, getActionErrors, getActionMessages, getFieldErrors, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, setActionErrors, setActionMessages, setFieldErrors`

    - ### Methods inherited from interface com.opensymphony.xwork2.TextProvider

      `getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasKey`

    - ### Methods inherited from interface com.opensymphony.xwork2.LocaleProvider

      `getLocale, isValidLocale, isValidLocaleString, toLocale`

- - ### Method Detail

    - #### getFullFieldName

          String getFullFieldName(String fieldName)

      Translates a simple field name into a full field name in OGNL syntax.
      Parameters:
        `fieldName` - the field name to lookup.
      Returns:
        the full field name in OGNL syntax.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.